Debian Bug report logs - #243309
symlinks are patched by replacing the symlink through a copy of the file.

version graph

Package: patch; Maintainer for patch is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for patch is src:patch.

Reported by: Fabian Franz <debian@fabian-franz.de>

Date: Mon, 12 Apr 2004 11:18:01 UTC

Severity: normal

Tags: upstream

Found in versions 2.6.1-1, 2.5.9-1, 2.6-1

Fixed in version patch/2.6.1.85-423d-1

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/index.php?27380

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@fabian-franz.de, Michael Fedrowitz <michaelf@debian.org>:
Bug#243309; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Fabian Franz <debian@fabian-franz.de>:
New Bug report received and forwarded. Copy sent to debian@fabian-franz.de, Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Franz <debian@fabian-franz.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: symlinks are patched by replacing the symlink through a copy of the file.
Date: Mon, 12 Apr 2004 13:04:57 +0200
Package: patch
Version: 2.5.9-1
Severity: normal

When patch is used on a symlink, patch does not change the target of the
symlink or warn, but makes a copy of the symlink and changes that.

This can lead to _very_ strange effects. (i.e. once the symlink is used
and once the original package)

However as this only affects a special case, I left the severity at
normal, although I think its a critical problem.

Patch should at least warn as it does not match the expected behaviour.

cu

Fabian

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.24-xfs-fe-dm1
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (ignored: LC_ALL set to de_DE@euro)

Versions of packages patch depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an

-- no debconf information



Tags added: upstream Request was from Michael Fedrowitz <michaelf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to bug-patch@gnu.org. Request was from Michael Fedrowitz <michaelf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug Marked as found in versions 2.6-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Mon, 30 Nov 2009 15:27:13 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/index.php?27380' from 'bug-patch@gnu.org' Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Thu, 31 Dec 2009 18:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#243309; Package patch. (Thu, 29 Apr 2010 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Gruenbacher <agruen@suse.de>:
Extra info received and forwarded to list. Copy sent to Christoph Berg <myon@debian.org>. (Thu, 29 Apr 2010 17:30:03 GMT) Full text and rfc822 format available.

Message #18 received at 243309@bugs.debian.org (full text, mbox):

From: Andreas Gruenbacher <agruen@suse.de>
To: 243309@bugs.debian.org
Subject: Fixed in git and in the latest snapshots
Date: Thu, 29 Apr 2010 19:13:17 +0200
Patch now detects symlinks and refuses to patch them.  (It also supports git 
symlink diffs now though.)




Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Tue, 11 May 2010 09:51:03 GMT) Full text and rfc822 format available.

Notification sent to Fabian Franz <debian@fabian-franz.de>:
Bug acknowledged by developer. (Tue, 11 May 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #23 received at 243309-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 243309-close@bugs.debian.org
Subject: Bug#243309: fixed in patch 2.6.1.85-423d-1
Date: Tue, 11 May 2010 09:49:08 +0000
Source: patch
Source-Version: 2.6.1.85-423d-1

We believe that the bug you reported is fixed in the latest version of
patch, which is due to be installed in the Debian FTP archive:

patch_2.6.1.85-423d-1.diff.gz
  to main/p/patch/patch_2.6.1.85-423d-1.diff.gz
patch_2.6.1.85-423d-1.dsc
  to main/p/patch/patch_2.6.1.85-423d-1.dsc
patch_2.6.1.85-423d-1_amd64.deb
  to main/p/patch/patch_2.6.1.85-423d-1_amd64.deb
patch_2.6.1.85-423d.orig.tar.gz
  to main/p/patch/patch_2.6.1.85-423d.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 243309@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated patch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 May 2010 09:59:01 +0200
Source: patch
Binary: patch
Architecture: source amd64
Version: 2.6.1.85-423d-1
Distribution: experimental
Urgency: low
Maintainer: Christoph Berg <myon@debian.org>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 patch      - Apply a diff file to an original
Closes: 243309 262737 274079 484539
Changes: 
 patch (2.6.1.85-423d-1) experimental; urgency=low
 .
   * New upstream snapshot.
     + Improved CR stripping heuristics: Closes: #484539.
     + Refuses to patch symlinks: Closes: #243309.
     + Preserves uid/gid/mode where possible: Closes: #262737.
     + Refuses to patch read-only files unless -f or -t are used:
       Closes: #274079.
Checksums-Sha1: 
 9234eb84c72b23efc7cc5afbd94ee9f7e5b59b27 992 patch_2.6.1.85-423d-1.dsc
 c4b6db9edd20509c4f1939f583ad8a3a4a2ea88e 742912 patch_2.6.1.85-423d.orig.tar.gz
 83d67eb80df81fb6c34be9a68a77fa682d5a9441 8175 patch_2.6.1.85-423d-1.diff.gz
 149c220465face2b13cd4b7516bbb155c0562cc8 134968 patch_2.6.1.85-423d-1_amd64.deb
Checksums-Sha256: 
 df729bd91d7a37e5844f154fdf6d2dc6c6e4b87f7cb509a19851525ab3d141c4 992 patch_2.6.1.85-423d-1.dsc
 7c7743c29b694c344b3d62e873f137079e9a6e2f31d546fbce883c540f6cad8d 742912 patch_2.6.1.85-423d.orig.tar.gz
 45f09a7d5da6a8f03e241f801829768ec3520255b2bcd25851d484600d948d3e 8175 patch_2.6.1.85-423d-1.diff.gz
 dad9e11d427995a0fc9cc9e9d576f651779b6224b8aa4724e734a56d7565652a 134968 patch_2.6.1.85-423d-1_amd64.deb
Files: 
 70cb4ef679cb805a148ee8e478a83da6 992 vcs standard patch_2.6.1.85-423d-1.dsc
 c3d1f767f389fdf4e6bab065068174e7 742912 vcs standard patch_2.6.1.85-423d.orig.tar.gz
 1407cd94040a822903a28dc2a18c1237 8175 vcs standard patch_2.6.1.85-423d-1.diff.gz
 2df89134bfc4da0a9e442a66c182b7c4 134968 vcs standard patch_2.6.1.85-423d-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvpGksACgkQxa93SlhRC1qAEgCfUgEFfh589V8/hq0btsN+rC9N
MO4An2iPlpv7G+hExXFMgdJj2TcxcXnj
=NOJJ
-----END PGP SIGNATURE-----





Bug Marked as found in versions 2.6.1-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Sun, 06 Feb 2011 14:42:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jan 2013 07:25:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:32:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.